OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations
base.hpp File Reference

Base for all blitters. More...

`#include "../spritecache.h"`
`#include "../spriteloader/spriteloader.hpp"`

Go to the source code of this file.

## Data Structures
class | Blitter
| How all blitters should look like. More...
struct | Blitter::BlitterParams
| Parameters related to blitting. More...

## Enumerations
enum | BlitterMode { BM_NORMAL, BM_COLOUR_REMAP, BM_TRANSPARENT, BM_CRASH_REMAP, BM_BLACK_REMAP }
| The modes of blitting we can do. More...

## Detailed Description

Base for all blitters.

Definition in file base.hpp.

## Enumeration Type Documentation

enum BlitterMode

The modes of blitting we can do.

Enumerator:

  BM_NORMAL | Perform the simple blitting.
  BM_COLOUR_REMAP | Perform a colour remapping.
  BM_TRANSPARENT | Perform transparency colour remapping.
  BM_CRASH_REMAP | Perform a crash remapping.
  BM_BLACK_REMAP | Perform remapping to a completely blackened sprite.

Definition at line 19 of file base.hpp.